//
//  PageViewController.m
//  HHPageViewController
//
//  Created by duoying on 16/7/21.
//  Copyright © 2016年 duoying. All rights reserved.
//

#import "PageViewController.h"
#import "BasePageViewController.h"
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height
@interface PageViewController ()<UIScrollViewDelegate>
@property(nonatomic,strong)NSMutableArray  *buttonArray;
@end

@implementation PageViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self initTopView];
    [self initScrollView];
}
-(void)initTopView{
    self.buttonArray = [NSMutableArray array];
    self.topScrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, 40)];
    self.topScrollView.backgroundColor = [UIColor whiteColor];
    self.topScrollView.contentSize = CGSizeMake(SCREEN_WIDTH/4*self.TopArray.count, 0);
    for (int i = 0; i < self.TopArray.count; i ++) {
        UIButton *clickBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        clickBtn.tag = i;
        [clickBtn setTitle:self.TopArray[i]
                  forState:UIControlStateNormal];
        clickBtn.titleLabel.font = [UIFont systemFontOfSize:18];
        [clickBtn setTitleColor:[UIColor grayColor] forState:UIControlStateNormal];
        [clickBtn addTarget:self
                     action:@selector(clickButton:)
           forControlEvents:UIControlEventTouchUpInside];
        clickBtn.frame = CGRectMake(i*SCREEN_WIDTH/4+20, 0, 60, 40);
        [self.buttonArray addObject:clickBtn];
        [self.topScrollView addSubview:clickBtn];
    }
    [self.view addSubview:self.topScrollView];
}
-(void)clickButton:(UIButton *)sender{
    for (UIView *view in self.topScrollView.subviews) {
        if ([view isKindOfClass:[UIButton class]]) {
            UIButton *button = (UIButton *)view;
            [button setTitleColor:[UIColor grayColor] forState:UIControlStateNormal];
        }
    }
    [sender setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
    [_bigScrollView setContentOffset:CGPointMake(SCREEN_WIDTH*sender.tag, 0) animated:YES];
}
-(void)initScrollView{
    float topHeight = self.topScrollView.frame.size.height;
    self.bigScrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(0, topHeight, SCREEN_WIDTH, SCREEN_HEIGHT-topHeight)];
    self.bigScrollView.contentSize = CGSizeMake(SCREEN_WIDTH*self.TopArray.count, 0);
    self.bigScrollView.delegate = self;
    self.bigScrollView.pagingEnabled = YES;
    for (int i = 0; i<self.colorArray.count; i ++) {
        BasePageViewController *vc = [[BasePageViewController alloc]init];
        vc.view.backgroundColor = _colorArray[i];
        vc.view.frame = CGRectMake(SCREEN_WIDTH*i, 0, SCREEN_WIDTH, SCREEN_HEIGHT);
        [self.bigScrollView addSubview:vc.view];
        [self addChildViewController:vc];
    }
    [self.view addSubview:self.bigScrollView];
}
-(void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView{
    for (UIView *view in self.topScrollView.subviews) {
        if ([view isKindOfClass:[UIButton class]]) {
            UIButton *button = (UIButton *)view;
            [button setTitleColor:[UIColor grayColor] forState:UIControlStateNormal];
        }
    }
    NSUInteger index = scrollView.contentOffset.x/SCREEN_WIDTH;
    UIButton *button = [self.buttonArray objectAtIndex:index];
    NSLog(@"****%f",scrollView.contentOffset.x/SCREEN_WIDTH);
    [button setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
    if (index == 0) {
        [_topScrollView setContentOffset:CGPointMake(0, 0) animated:YES];
    }
    if (index <2 || index >6) {
        return;
    }
    [_topScrollView setContentOffset:CGPointMake(SCREEN_WIDTH/4*(index-1), 0) animated:YES];
   
}
@end
